Loading...
Searching...
No Matches
gx_engine::ThreadSafeChainPointer< F > Class Template Reference

`#include <gx_modulesequencer.h>`

Inheritance diagram for gx_engine::ThreadSafeChainPointer< F >:

## Public Member Functions

| ThreadSafeChainPointer ()
| ~ThreadSafeChainPointer ()
void | empty_chain (ParamMap &pmap)
void | commit (bool clear, ParamMap &pmap)
Public Member Functions inherited from gx_engine::ProcessingChainBase
| ProcessingChainBase ()
RampMode | get_ramp_mode ()
int | get_ramp_value ()
void | set_samplerate (int samplerate)
bool | set_plugin_list (const list< Plugin * > &p)
void | clear_module_states ()
void | post_rt_finished ()
bool | wait_rt_finished ()
void | set_latch ()
void | wait_latch ()
void | sync ()
bool | check_release ()
void | release ()
void | wait_ramp_down_finished ()
void | start_ramp_up ()
void | start_ramp_down ()
void | set_down_dead ()
bool | is_down_dead ()
void | set_stopped (bool v)
bool | is_stopped ()
void | print_chain_state (const char *title)

## Protected Member Functions

F * | get_rt_chain ()
Protected Member Functions inherited from gx_engine::ProcessingChainBase
void | set_ramp_value (int n)
void | set_ramp_mode (RampMode n)
void | try_set_ramp_mode (RampMode oldmode, RampMode newmode, int oldrv, int newrv)

## Protected Attributes

F * | processing_pointer
Protected Attributes inherited from gx_engine::ProcessingChainBase
int | steps_up
int | steps_up_dead
int | steps_down
list< Plugin * > | modules

## Private Member Functions

void | setsize (int n)
F | get_audio (PluginDef *p)
monochain_data | get_audio (PluginDef *p)
stereochain_data | get_audio (PluginDef *p)

## Private Attributes

F * | rack_order_ptr [2]
int | size [2]
int | current_index
F * | current_pointer

## Additional Inherited Members

Public Types inherited from gx_engine::ProcessingChainBase
enum | RampMode { ramp_mode_down_dead , ramp_mode_down , ramp_mode_up_dead , ramp_mode_up , ramp_mode_off }
Public Attributes inherited from gx_engine::ProcessingChainBase
bool | next_commit_needs_ramp

## Detailed Description

template<class F>
class gx_engine::ThreadSafeChainPointer< F >

Definition at line 107 of file gx_modulesequencer.h.

## Constructor & Destructor Documentation

## ThreadSafeChainPointer()

template<class F>

gx_engine::ThreadSafeChainPointer< F >::ThreadSafeChainPointer | ( |  | ) |

Definition at line 162 of file gx_modulesequencer.h.

## ~ThreadSafeChainPointer()

template<class F>

gx_engine::ThreadSafeChainPointer< F >::~ThreadSafeChainPointer | ( |  | ) |

Definition at line 176 of file gx_modulesequencer.h.

## Member Function Documentation

## commit()

template<class F>

void gx_engine::ThreadSafeChainPointer< F >::commit | ( | bool | clear,
|  | ParamMap & | pmap )

Definition at line 194 of file gx_modulesequencer.h.

Referenced by empty_chain().

## empty_chain()

template<class F>

void gx_engine::ThreadSafeChainPointer< F >::empty_chain | ( | ParamMap & | pmap | ) |

inline

Definition at line 121 of file gx_modulesequencer.h.

## get_audio() [1/3]

stereochain_data gx_engine::ThreadSafeChainPointer< stereochain_data >::get_audio | ( | PluginDef * | p | ) |

inline private

Definition at line 156 of file gx_modulesequencer.h.

## get_audio() [2/3]

monochain_data gx_engine::ThreadSafeChainPointer< monochain_data >::get_audio | ( | PluginDef * | p | ) |

inline private

Definition at line 150 of file gx_modulesequencer.h.

## get_audio() [3/3]

template<class F>

F gx_engine::ThreadSafeChainPointer< F >::get_audio | ( | PluginDef * | p | ) |

inline private

Referenced by commit().

## get_rt_chain()

template<class F>

F * gx_engine::ThreadSafeChainPointer< F >::get_rt_chain | ( |  | ) |

inline protected

Definition at line 117 of file gx_modulesequencer.h.

## setsize()

template<class F>

void gx_engine::ThreadSafeChainPointer< F >::setsize | ( | int | n | ) |

private

Definition at line 182 of file gx_modulesequencer.h.

Referenced by commit(), and ThreadSafeChainPointer().

## Member Data Documentation

## current_index

template<class F>

int gx_engine::ThreadSafeChainPointer< F >::current_index

private

Definition at line 111 of file gx_modulesequencer.h.

Referenced by commit(), setsize(), and ThreadSafeChainPointer().

## current_pointer

template<class F>

F* gx_engine::ThreadSafeChainPointer< F >::current_pointer

private

Definition at line 112 of file gx_modulesequencer.h.

Referenced by commit(), setsize(), and ThreadSafeChainPointer().

## processing_pointer

template<class F>

F* gx_engine::ThreadSafeChainPointer< F >::processing_pointer

protected

Definition at line 116 of file gx_modulesequencer.h.

Referenced by commit(), get_rt_chain(), and ThreadSafeChainPointer().

## rack_order_ptr

template<class F>

F* gx_engine::ThreadSafeChainPointer< F >::rack_order_ptr[2]

private

Definition at line 109 of file gx_modulesequencer.h.

Referenced by commit(), setsize(), ThreadSafeChainPointer(), and ~ThreadSafeChainPointer().

## size

template<class F>

int gx_engine::ThreadSafeChainPointer< F >::size[2]

private

Definition at line 110 of file gx_modulesequencer.h.

Referenced by setsize(), and ThreadSafeChainPointer().

The documentation for this class was generated from the following file:

- src/headers/gx_modulesequencer.h